<template>
  <div class="query-control d-flex flex-grow-1 mx-1">
    <button class="btn btn-light btn-sm" @click="$emit('toggle-crosshair')">
      <font-awesome-icon icon="map-marker"></font-awesome-icon>
    </button>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LeafletGetter from '@/workspace/mixins/LeafletGetter'

export default {
  name: 'querycontrol',

  mixins: [
    WorkspaceGetter,
    LeafletGetter
  ],
}
</script>

<style scoped>
.query-control {
  background-color: rgb(255, 255, 255);
}
</style>
